Уязвимость BDU:2015-04141

Дата: 21.08.2014. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2015-04141.

Наименование уязвимости: Уязвимость функционала для работ с аргументами переменной длины vararg интерпретатора скриптов Lua, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость функционала для работ с аргументами переменной длины vararg (ldo.c) интерпретатора скриптов Lua вызвана выходом операции за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, вызвать отказ в обслуживании с помощью большого количества аргументов переменной длинны
Уязвимое ПО: Операционная система Software in the Public Interest Inc. Lua от 5.1 до 5.2 включительно | Операционная система Software in the Public Interest Inc. Lua от 5.2 до 5.2.3 |

Наименование ОС и тип аппаратной платформы:
Дата выявления: 21.08.2014.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:P
Уровень опасности уязвимости: Средний уровень опасности (базовая оценка CVSS 2.0 составляет 5)

Возможные меры по устранению:
Проблема может быть решена обновлением операционной системы до следующих версий пакетов в зависимости от архитектуры:
Debian GNU/Linux 7:
noarch:
lua5.1 — 5.1.5-4+deb7u1
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Данные уточняются
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2014-5461. DSA-3015. ID:1403002.

Тип ошибки CWE: CWE-119
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://www.debian.org/security/dsa-3015/
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-5461

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *